%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global pkgname remoto

Name:           python-%{pkgname}
Version:        0.0.19
Release:        1%{?dist}
Summary:        Execute remote commands or processes

License:        MIT
URL:            http://github.com/alfredodeza/remoto

# http://github.com/alfredodeza/%{pkgname}/archive/%{version}.tar.gz
Source0:        %{pkgname}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-execnet >= 1.2.0

%description
Execute remote commands or processes.


%prep
%setup -q -n %{pkgname}-%{version}


%build
REMOTO_NO_VENDOR=1 %{__python2} setup.py build


%install
REMOTO_NO_VENDOR=1 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc LICENSE README.rst
%{python2_sitelib}/*


%changelog
* Fri Aug  1 2014 Federico Simoncelli <fsimonce@redhat.com> 0.0.19-1
- update to remoto-0.0.19

* Fri Jun 27 2014 Federico Simoncelli <fsimonce@redhat.com> 0.0.17-2
- specfile cleanups

* Sun Jun 22 2014 Federico Simoncelli <fsimonce@redhat.com> 0.0.17-1
- initial build
